All Objects| Statics| Objects| KJSEmbed Objects| Qt Objects| KDE Objects| Exceptions| Uncreatable Objects

# ImageFX

Bindings for the ImageFX class.

## Properties

Type | Name | Value
--- | --- | ---
int | All | 4
int | Blue | 2
int | Contrast | 3
int | CrossDiagonalGradient | 3
int | DiagonalGradient | 2
int | EastLite | 6
int | EllipticGradient | 7
int | GaussianNoise | 1
int | Gray | 3
int | Green | 1
int | HorizontalGradient | 1
int | HueShift | 2
int | ImpulseNoise | 3
int | Intensity | 0
int | LaplacianNoise | 4
int | Linear | 0
int | MultiplicativeGaussianNoise | 2
int | NELite | 7
int | NWLite | 1
int | NorthLite | 0
int | PipeCrossGradient | 6
int | PoissonNoise | 5
int | PyramidGradient | 4
int | RectangleGradient | 5
int | Red | 0
int | Rotate180 | 1
int | Rotate270 | 2
int | Rotate90 | 0
int | SELite | 5
int | SWLite | 3
int | Saturation | 1
int | Sinuosidal | 2
int | SouthLite | 4
int | Spherical | 1
int | UniformNoise | 0
int | VerticalGradient | 0
int | WestLite | 2

## Methods

MethodoilPaint(...)
addNoise(...)
blendColor(...)
blendImage(...)
blur(...)
bumpmap(...)
channelIntensity(...)
charcoal(...)
charcoal2(...)
computeDestinationRect(...)
contrast(...)
contrastHSV(...)
desaturate(...)
despeckle(...)
dither(...)
edge(...)
emboss(...)
equalize(...)
fade(...)
flatten(...)
gradient(...)
hash(...)
implode(...)
intensity(...)
modulate(...)
normalize(...)
oilPaintConvolve(...)
rotate(...)
sample(...)
selectedImage(...)
shade(...)
sharpen(...)
sharpen2(...)
solarize(...)
spread(...)
swirl(...)
threshold(...)
toGray(...)
unbalancedGradient(...)
wave(...)